. . .there is something crucial missing from the mix. Some heart and soul that might make you care more about the plight of plebby Arthur and his gang of intergalactic pals.
ROTTEN
Variety Staff
Variety
